{
  "compilerOptions": {
    "incremental": true,
    "noEmit": true,
    "target": "es5",
    "module": "esnext", //commonjs destroys 'dynamic imports' which is used for code splitting
    "noImplicitAny": false,
    "preserveConstEnums": true,
    "baseUrl": "src",
    "jsx": "react", // process JSX
    "lib": ["dom", "es5", "es6", "es7", "es2017"],
    "allowSyntheticDefaultImports": true, // no errors with commonjs modules interop
    "esModuleInterop": true,
    "allowJs": true, // include js files
    "declaration": false,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "forceConsistentCasingInFileNames": true,
    "moduleResolution": "node",
    "noEmitOnError": true,
    "noFallthroughCasesInSwitch": true,
    "noImplicitReturns": true,
    "noImplicitThis": true,
    "noUnusedLocals": false,
    "strict": true,
    "strictNullChecks": false,
    "strictFunctionTypes": false,
    "skipLibCheck": true,
    "pretty": true,
    "removeComments": true,
    "sourceMap": true
  },
  // "include": ["src/**/*", "internals/templates/**/*"],
  "exclude": ["node_modules"],
  "include": ["src"]
}
